package it.torvergata.example.solrproject;

import org.apache.solr.client.solrj.beans.Field;

public class Product {

    String id;
    String name;
    String price;

    public Product(String id, String name, String price) {
        this.id = id;
        this.name = name;
        this.price = price;
    }

    @Field("id2")
    protected void setId(String id) {
        this.id = id;
    }

    @Field("name2")
    protected void setName(String name) {
        this.name = name;
    }

    @Field("price2")
    protected void setPrice(String price) {
        this.price = price;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getPrice() {
        return price;
    }
}