package it.torvergata.example.solrproject;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

@Configuration
@EnableScheduling
public class Scheduler {
    private static final Logger LOGGER = LoggerFactory.getLogger(Scheduler.class);
    // private final Executor worker;
    private final ExecutorCloud worker;

    public Scheduler(@Autowired ExecutorCloud worker) {
        this.worker = worker;

    }
    // public Scheduler(@Autowired Executor worker) {
    // this.worker = worker;
    //
    // }

    @Scheduled(fixedDelayString = "${job.pause-millis}", initialDelayString = "${job.delay-millis}")
    public void startClassifier() throws Exception {
        LOGGER.info("Starting the job");
        // this.worker.index();
        this.worker.indexBean();
        // this.worker.query();
        // this.worker.query2();
        // this.worker.query3();
        // this.worker.query4();
        // this.worker.query5();
        // this.worker.query6();

        LOGGER.info("The job is completed");
        System.exit(0);
    }

}